-------------------------------------------------------------------------------
--
-- Title       : contatore
-- Design      : delta
-- Author      : 
-- Company     : 
--
-------------------------------------------------------------------------------
--
-- File        : c:\My_Designs\lezi\delta\src\contatore.vhd
-- Generated   : Tue Nov 11 12:53:54 2014
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.22
--
-------------------------------------------------------------------------------
--
-- Description : 
--
-------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {contatore} architecture {contatore}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity contatore is
	 port(
		 start : in STD_LOGIC;
		 clk : in STD_LOGIC;
		 v0 : in INTEGER range 0 to 15;
		 conta : out INTEGER range 0 to 15
	     );
end contatore;


architecture contatore of contatore is
begin

 process(clk)
 variable conto: integer range 0 to 15:=0;
 begin	
	 if clk='0'and clk'event and clk'last_value='1' then
		 if start = '1' then conto:= v0;
		 else conto:= (conto+1) mod 16;
		 end if;
		 conta <= conto;
	 end if;
 end process;
         
end contatore;
