library ieee;

use ieee.std_logic_1164.all;


entity mux4x1c is
	port (a,b,c,d: in std_logic;
		s1,s0: in std_logic;
		q: out std_logic);
end mux4x1c;

architecture beh of mux4x1c is

begin
	process(a, b, c, d, s1,s0) 
	variable s: integer range 0 to 3;
	begin
		s:= 0;
		if s0='1' then s:= s+1;
		end if;
		if s1='1' then s:= s+2;
		end if;	
		
		if s = 0 then q<= a;
		elsif s= 1 then q <= b;
		elsif s = 2 then q<= c;
		else q<= d;
	    end if;
	end process;
end architecture;

	   
		