library ieee;

use ieee.std_logic_1164.all;

entity tb_mux4x1 is
end tb_mux4x1;

architecture tbb of tb_mux4x1 is
 component mux4x1c is
	port (a,b,c,d: in std_logic;
		s1,s0: in std_logic;
		q: out std_logic);
end component;

signal a,b,c,d,s1,s0,q: std_logic;

begin
	dut: mux4x1c port map (a,b,c,d,s1,s0,q);
	
	a<= '0' after 0 ns, '1' after 50 ns;
	b<= '1' after 0 ns, '0' after 30 ns;
	c<= '0' after 0 ns, '1' after 70 ns;
	d<= '1' after 0 ns, '0' after 90 ns;
	
	s0<= '0' after 0 ns, '1' after 10 ns,
		 '0' after 20 ns,'1' after 30 ns;
	s1<= '0' after 0 ns, '1' after 20 ns;
end tbb;	
	