library ieee;
use ieee.std_logic_1164.all;

entity sommatore is
	generic (dim: integer range 1 to 31:= 15);
	port ( a, b: in std_logic_vector(dim-1 downto 0);
	       cin: in std_logic;
		   r: out std_logic_vector(dim-1 downto 0);
		   cout: out std_logic );
end sommatore;

architecture beh of sommatore is
begin
	process(a,b,cin)
	variable t: std_logic_vector(dim-1 downto 0);	
	variable c: std_logic_vector(dim downto 0);
	variable si: integer range 0 to 3;
	begin			
		c(0):= cin;
		for i in 0 to dim-1 loop
			si:=0;
		    if a(i) = '1' then si:= si+1; end if;
			if b(i) = '1' then si:= si+1; end if;
			if c(i) = '1' then si:= si+1; end if;
			if si mod 2 = 1 then t(i) := '1';
							else t(i) := '0';
			end if;
			if si > 1 then c(i+1) := '1';
			else c(i+1) := '0';
			end if;		
	    end loop;
		r<= t;
		cout <= c(dim);
		end process;
	end beh;
	
		
			
	