library ieee;
use ieee.std_logic_1164.all;

entity sommatore2 is
	generic (dim: integer range 1 to 31:= 15);
	port ( a, b: in std_logic_vector(dim-1 downto 0);
	       cin: in std_logic;
		   r: out std_logic_vector(dim-1 downto 0);
		   cout: out std_logic );
end sommatore2;

architecture beh2 of sommatore2 is
begin
	process(a,b,cin)
	variable t: std_logic_vector(dim-1 downto 0);	
	variable c: std_logic_vector(dim downto 0);
	
	begin			
		c(0):= cin;
		for i in 0 to dim-1 loop
			t(i):= (not a(i) and not b(i) and c(i)) or 
					(not a(i) and  b(i) and not c(i)) or
					(a(i) and  not b(i) and not c(i)) or
					(a(i) and  b(i) and c(i));
			
		    c(i+1) := (a(i) and  b(i)) or 
					  (a(i) and  c(i)) or 
					  (b(i) and  c(i)) ;
			
	    end loop;
		r<= t;
		cout <= c(dim);
		end process;
	end beh2;