library ieee;
use ieee.std_logic_1164.all;

entity sommatore_struct is
	port ( a, b: in std_logic_vector(7 downto 0);
	       cin: in std_logic;
		   r: out std_logic_vector(7 downto 0);
		   cout: out std_logic );
end sommatore_struct;

architecture struct of sommatore_struct is
component adder1 is
	port ( a,b,cin: in std_logic;
	cout,r: out std_logic);
end component;
 signal c: std_logic_vector( 7 downto 0);
begin								   
	c(0) <= cin;
	a0: adder1 port map (a(0),b(0),c(0),c(1),r(0));
	a1: adder1 port map (a(1),b(1),c(1),c(2),r(1));
	a2: adder1 port map (a(2),b(2),c(2),c(3),r(2));
	a3: adder1 port map (a(3),b(3),c(3),c(4),r(3));
	a4: adder1 port map (a(4),b(4),c(4),c(5),r(4));
	a5: adder1 port map (a(5),b(5),c(5),c(6),r(5));
	a6: adder1 port map (a(6),b(6),c(6),c(7),r(6));
	a7: adder1 port map (a(7),b(7),c(7),cout,r(7));
	
	end struct;